# Module: `utils.generics`

Generic functions for extending IPython.

See http://pypi.python.org/pypi/simplegeneric.

## 2 Functions

`IPython.utils.generics.``inspect_object`(*args, **kw)

  Called when you do obj?

`IPython.utils.generics.``complete_object`(*args, **kw)

  Custom completer dispatching for python objects.

  Parameters:

  - obj (object) – The object to complete.
  - prev_completions (list) – List of attributes discovered so far.
  - should return the list of attributes in obj. If you only wish to (This) –
  - to the attributes already discovered normally, return (add) –
  - + prev_completions. (own_attrs) –